package core;
import java.awt.Dimension;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class Preset {
	private boolean fullScreen = false;
	private int timePerPic = -1;
	private List<File> images = new ArrayList<File>();
	private File audio = null;
	private String name = "", author = "", description = "", email = "", website = "";
	private File avatar = null;
	private Dimension maxWinSize = null;
	
	public boolean isFullScreen() {
		return fullScreen;
	}
	void setFullScreen(boolean fullScreen) {
		this.fullScreen = fullScreen;
	}
	
	public int getTimePerPic() {
		return timePerPic;
	}
	void setTimePerPic(int timePerPic) {
		this.timePerPic = timePerPic;
	}
	
	public List<File> getImages() {
		return images;
	}
	void setImages(List<File> images) {
		this.images = images;
	}
	void addImage( File img ) {
		images.add( img );
	}
	
	public File getAudio() {
		return audio;
	}
	void setAudio(File audio) {
		this.audio = audio;
	}
	
	public String getName() {
		return name;
	}
	void setName(String name) {
		this.name = name;
	}
	
	public String getAuthor() {
		return author;
	}
	void setAuthor(String author) {
		this.author = author;
	}
	
	public String getDescription() {
		return description;
	}
	void setDescription(String description) {
		this.description = description;
	}
	
	public String getEmail() {
		return email;
	}
	void setEmail(String email) {
		this.email = email;
	}
	
	public String getWebsite() {
		return website;
	}
	void setWebsite(String website) {
		this.website = website;
	}
	
	public File getAvatar() {
		return avatar;
	}
	void setAvatar(File avatar) {
		this.avatar = avatar;
	}
	
	public Dimension getMaxWinSize() {
		return maxWinSize;
	}
	void setMaxWinSize(Dimension maxWinSize) {
		this.maxWinSize = maxWinSize;
	}
}
